" nvim/plugins.vim

let data_dir = has('nvim') ? stdpath('data') . '/site' : '~/.vim'
if empty(glob(data_dir . '/autoload/plug.vim'))
  silent execute '!curl -fLo '.data_dir.'/autoload/plug.vim --create-dirs  https://raw.githubusercontent.com/junegunn/vim-plug/master/plug.vim'
endif

call plug#begin()
  Plug 'romainl/vim-cool'

  Plug 'tpope/vim-surround'
  Plug 'tpope/vim-repeat'

  Plug 'mattn/emmet-vim'
call plug#end()

" EMMET
" -----
" https://github.com/mattn/emmet-vim

" Nur für HTML und CSS Dateien aktivieren
let g:user_emmet_install_global = 0
autocmd FileType html,css EmmetInstall

let g:user_emmet_leader_key='<C-y>'

"let g:user_emmet_mode='n'    "only enable normal mode functions.
"let g:user_emmet_mode='inv'  "enable all functions, which is equal to
"let g:user_emmet_mode='a'    "enable all function in all mode.



